%define po_package libbonoboui-2.0

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libbonoboui
Version:	2.22.0
Release:	1
Summary:	Bonobo user interface components.
License:	LGPL 
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires: 	libxml2
Requires: 	ORBit2
Requires: 	libbonobo
Requires: 	libgnomecanvas
Requires: 	libgnome
Requires: 	libart_lgpl
Requires: 	gtk2+
Requires: 	libglade
BuildPreReq: 	libxml2-devel
BuildPreReq: 	ORBit2-devel
BuildPreReq: 	libbonobo-devel
BuildPreReq: 	libgnomecanvas-devel
BuildPreReq: 	libgnome-devel
BuildPreReq: 	libart_lgpl-devel
BuildPreReq: 	gtk2+-devel
BuildPreReq: 	libglade-devel
BuildPreReq: 	intltool
BuildPreReq: 	libtool
BuildPreReq: 	automake autoconf
BuildPreReq: 	glib-devel >= 2.14.1
BuildRequires: 	libXt-devel
BuildRequires: 	gettext
Obsoletes:	libbonoboui-doc

%description

Bonobo is a component system based on CORBA, used by the GNOME
desktop.  libbonoboui contains the user interface related components
that come with Bonobo.

%package devel
Summary: 	Libraries and headers for libbonoboui
Group: 		Development/Libraries
Requires: 	%name = %{version}
Requires: 	libxml2-devel
Requires: 	ORBit2-devel
Requires: 	libbonobo-devel
Requires: 	libgnomecanvas-devel
Requires: 	libgnome-devel
Requires: 	libart_lgpl-devel
Requires: 	gtk2+-devel
Requires: 	libglade-devel
Requires: 	glib-devel >= 2.14.1
Requires: 	pkg-config

%description devel

Bonobo is a component system based on CORBA, used by the GNOME desktop.
libbonoboui contains GUI components that come with Bonobo.

This package contains header files used to compile programs that 
use libbonoboui.


%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
#libtoolize --force
#autoreconf
%configure --disable-gtk-doc --prefix=$(pkg-config --variable=prefix ORBit-2.0)

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT ## LIBTOOL=/usr/bin/libtool

#rm -f $RPM_BUILD_ROOT%{_datadir}/applications/bonobo-browser.desktop

#for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
#    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
#done

%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/libglade/2.0/*.so
%{_libdir}/bonobo
%{_datadir}/gnome-2.0
%{_datadir}/applications/bonobo-browser.desktop

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libglade/2.0/*.a
%{_libdir}/libglade/2.0/*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_bindir}/*
%{_libdir}/bonobo-2.0
%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- Gnome 2.20.1.1
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Version update
* Mon May 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-2
- added BuildRequires
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.1-1
- Initial Release
